---  # -*- mode: yaml -*-
# see https://prometheus.io/docs/prometheus/latest/configuration/configuration/

global:
  scrape_interval: 60s
  evaluation_interval: 60s
  # scrape_timeout is set to the global default (10s).

alerting:
  alertmanagers:
    - static_configs:
        - targets:
            - localhost:9093

rule_files:
  - "{{ prometheus_rules_subdir }}/*.yml"

scrape_configs:
  - job_name: prometheus
{% if prometheus_web_basic_auth | length > 0 %}
    basic_auth:
      username: "{{ prometheus_web_basic_auth[0].user }}"
      password: "{{ prometheus_web_basic_auth[0].pass }}"
{% endif %}
{% if prometheus_tls_fullchain_file is defined and prometheus_tls_key_file is defined %}
    scheme: https
{% endif %}
    static_configs:
      - targets:
          - '{{ prometheus_hostname }}:9090'
{% if prometheus_scrape_ansible_hosts is defined %}

{% for scrape in prometheus_scrape_ansible_hosts %}
  - job_name: "{{ scrape.job_name }}"
{% if scrape.scheme is defined %}
    scheme: "{{ scrape.scheme }}"
{% endif %}
{% if scrape.basic_auth is defined %}
    basic_auth:
      username: "{{ scrape.basic_auth.user }}"
      password: "{{ scrape.basic_auth.pass }}"
{% endif %}
{% if scrape.metrics_path is defined %}
    metrics_path: "{{ scrape.metrics_path }}"
{% endif %}
    static_configs:
      - targets:
{% for tgt in scrape.targets %}
          - "{{ hostvars[tgt].ansible_host|default(hostvars[tgt].inventory_hostname) }}:{{ scrape.port | default('9100') }}"
{% endfor %}
{% endfor %}
{% endif %}
{% if prometheus_scrape_configs is defined %}

{{ prometheus_scrape_configs | to_nice_yaml(indent=2) | indent(width=2, first=True)}}
{% endif %}
